Bug 243664 - Review Request: innotop - Console MySQL Monitor
Summary: Review Request: innotop - Console MySQL Monitor
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 11:55 UTC by Michael Fleming
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-01 06:20:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michael Fleming 2007-06-11 11:55:27 UTC
Spec URL: http://www.thatfleminggent.com/fedorasubs/innotop.spec
SRPM URL: http://www.thatfleminggent.com/fedorasubs/innotop-1.4.2-1.fc7.mf.src.rpm
Description: 
innotop connects to a MySQL database server and retrieves information from it, then displays it in a manner similar to the UNIX top program. innotop uses the data from SHOW VARIABLES, SHOW GLOBAL STATUS, SHOW FULL PROCESSLIST, and SHOW ENGINE INNODB STATUS, among other things.

(Note: Taken directly from my own repo, will clean up dist and changelog as needed ;-))

Comment 1 Ruben Kerkhof 2007-06-17 09:02:40 UTC
Hi Michael,

Review for release 1.fc7.mf:
* RPM name is OK
* Source innotop-1.4.2.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock

Needs work:
* BuildRequires: perl should not be included
  (wiki: PackagingGuidelines#Exceptions)

Comment 2 Michael Fleming 2007-06-17 10:53:51 UTC
Cheers for that (you might want to assign yourself the bug if you are reviewing
it by the way.)

Spec URL: http://www.thatfleminggent.com/fedorasubs/innotop.spec
SRPM URL: http://www.thatfleminggent.com/fedorasubs/innotop-1.4.2-2.fc7.mf.src.rpm

- Fixed up BR (removed perl, used the perl(Foo::Bar) symbols method for
prerequisites. Built locally in mock for FC5-6 and F7.


Comment 3 Ruben Kerkhof 2007-06-17 11:58:03 UTC
Thanks Michael.

> you might want to assign yourself the bug if you are reviewing
> it by the way

I did.

One other issue: missing Requires on Term::Readkey and DBD:MySQL
[ruben@odin reports]$ innotop
Can't locate Term/ReadKey.pm in @INC



Comment 4 Michael Fleming 2007-06-17 12:15:37 UTC
Oh, crap - RPMs dependency parser didn't pick these up. I'll add them as
explicit Requires in my next iteration.

Comment 5 Ruben Kerkhof 2007-06-17 15:17:14 UTC
Yeah, but it's not a bug, it's a feature ;-)

from /usr/lib/rpm/perl.req:

# we only consider require statements that are flush against
# the left edge. any other require statements give too many
# false positives, as they are usually inside of an if statement
# as a fallback module or a rarely used option


Comment 6 Michael Fleming 2007-06-27 10:08:24 UTC
These *should* be sorted out now. Built locally and works for me :-)

http://www.thatfleminggent.com/fedorasubs/innotop.spec
http://www.thatfleminggent.com/fedorasubs/innotop-1.4.2-3.fc7.mf.src.rpm

Comment 7 Ruben Kerkhof 2007-06-27 22:23:05 UTC
Approved.

Don't forget to clean up your disttag and changelog before importing.

Comment 8 Michael Fleming 2007-06-28 09:49:10 UTC
New Package CVS Request
=======================
Package Name: innotop
Short Description: Console MySQL Monitor
Owners: mfleming+rpm@enlartenment.com
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 


Comment 9 Kevin Fenzi 2007-06-28 19:46:37 UTC
cvs done.

Comment 10 Michael Fleming 2007-07-01 06:20:04 UTC
Imported and built successfully on Fedora branches (EL branches are a WOP ;-))


Note You need to log in before you can comment on or make changes to this bug.